telnet_event_t::error_t(3)

NAME
telnet_event_t::error_t -

SYNOPSIS

#include <libtelnet.h>

  Data Fields
enum telnet_event_type_t _type
const char * file
const char * func
const char * msg
int line
telnet_error_t errcode

Detailed Description

WARNING and ERROR events

Field Documentation

  enum telnet_event_type_t telnet_event_t::error_t::_type
alias for type

  telnet_error_t telnet_event_t::error_t::errcode
error code

  const char* telnet_event_t::error_t::file
file the error occured in

  const char* telnet_event_t::error_t::func
function the error occured in

  int telnet_event_t::error_t::line
line of file error occured on

  const char* telnet_event_t::error_t::msg
error message string

Author

Generated automatically by Doxygen for My Project from the source code.